* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  html, body{ width: 100%; height: 100%; margin: 0;}
  body {
    font-family: Arial, sans-serif;
    background-color: #f5f5f5;
  }
  
  .container {
    max-width: 414px;
    height: 100%;
    overflow: hidden;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  .header{ text-align: center;}
  .header p:nth-child(1){ font-size: 16px;}
  .header p:nth-child(2){ margin-top: 40px;}
  .header p:nth-child(3){ font-size: 18px; margin-top: 5px;}
.logo{ height: 15px;display: block; margin: auto;}
  .display {
    padding: 20px;
  }
  .pay-amount{ background-color: #FFF;  border-radius: 10px; padding:40px 20px 20px 20px; margin-top: 20px;}
  .pay-amount .label{ font-size: 13px;}
  .pay-amount .value{ display: flex; align-items: center;}
  .pay-amount p:nth-child(1){ font-size: 18px; margin-right: 10px; color: #666;}
  
  #amount {
    width: 100%;
    font-size: 24px;
    border: none;
    outline: none;
    background-color: transparent;
    border-bottom: 1px solid #EEE;
    padding: 5px 10px;
  }
  
  .keyboard {
    display: grid;
    grid-template-columns: repeat(4,25%);
    grid-template-rows: repeat(4,50px);
    gap: 1px;
    background-color: #EEE;
    border-top: 1px solid #EEE;
  }

  .btn-del{ width: 22px; position: relative; top: -2px;}
  
  .keyboard span {
    padding: 20px 0;
    line-height: 10px;
    font-size: 20px;
    border: none;
    background-color: #FFF;
    cursor: pointer;
    transition: background-color 0.2s;
    color: #1a1a1a;
    font-size: 20px;
    text-align: center;
  }
  
  .keyboard span.active {
    background-color: #c4c2c2;
  }
  
  .keyboard span.pay {
    grid-row: span 3;
    background-color: #eee;
    color: #888;
    position: relative;
    padding: 0;
  }
  .keyboard span.pay i{ position: absolute; width: 100%; height: 100%; display: flex; justify-content: center; align-items: center; font-style: normal; }

  .keyboard span.pay.success{    
    background-color: #05c160;
    color: white;
  }
  
  .keyboard span.zero{ grid-column: span 2;}
